﻿
using Microsoft.Extensions.Configuration;
using OpcLabs.BaseLib.Extensions.Hosting;
using OpcLabs.BaseLib.Runtime.InteropServices;

namespace ConsoleApp1
{
    internal class Program
    {
        static void Main(string[] args)
        {
            StaticHost.GetHostBuilder().ConfigureAppConfiguration((hostingCx, configBuilder) =>
            {
                configBuilder.AddIniFile("Configuration-QuickOPC.ini", optional: true, reloadOnChange: false);
            });

            var secParams = ComManagement.Instance.Configuration.SecurityParameters;
            var result = ComManagement.Instance.AssureSecurityInitialization();
        }
    }
}
